Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Interface Simulator.Watch

All Known Subinterfaces:
  Simulator.IORWatch

All Known Implementing Classes:
  MulticastIORWatch, MulticastWatch, ProbeTest.TestWatch, Simulator.IORWatch.Empty, Simulator.Watch.Empty

Enclosing interface:
  Simulator

public static interface Simulator.Watch

The `Watch` interface represents a user watch that is fired when a watchpoint detects an access to an address where this watch has been inserted.

Nested Class Summary
`static class` | `Simulator.Watch.Empty` The `Simulator.Watch.Empty` class acts as a base class with empty methods for each fireXXX() method.

Method Summary
`void` | `fireAfterRead(State state, int data_addr, byte value)` The `fireAfterRead()` method is called after the data address is read by the program.
`void` | `fireAfterWrite(State state, int data_addr, byte value)` The `fireAfterWrite()` method is called after the data address is written by the program.
`void` | `fireBeforeRead(State state, int data_addr)` The `fireBeforeRead()` method is called before the data address is read by the program.
`void` | `fireBeforeWrite(State state, int data_addr, byte value)` The `fireBeforeWrite()` method is called before the data address is written by the program.

Method Detail

### fireBeforeRead

    public void fireBeforeRead(State state,
                               int data_addr)

  The `fireBeforeRead()` method is called before the data address is read by the program.

  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced

### fireBeforeWrite

    public void fireBeforeWrite(State state,
                                int data_addr,
                                byte value)

  The `fireBeforeWrite()` method is called before the data address is written by the program.

  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced
    `value` - the value being written to the memory location

### fireAfterRead

    public void fireAfterRead(State state,
                              int data_addr,
                              byte value)

  The `fireAfterRead()` method is called after the data address is read by the program.

  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced
    `value` - the value of the memory location being read

### fireAfterWrite

    public void fireAfterWrite(State state,
                               int data_addr,
                               byte value)

  The `fireAfterWrite()` method is called after the data address is written by the program.

  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced
    `value` - the value being written to the memory location

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD